# Version SVN: $Id: schema.yml 175 2019-05-08 14:48:06Z stefan.ganz $
propel:
  _attributes:              { package: plugins.stVimeoImportPlugin.lib.model }

  media_vimeo:
    _attributes:            { phpName: MediaVimeo, allowPkInsert: true }
    mid:                    { type: integer, size:   11, required: true, primaryKey: true }
    vimeo:                  { type: varchar, size: 1024, required: false }
    id:                     { type: varchar, size:  255, required: false }
    title:                  { type: varchar, size:  255 }
    description:            { type: longvarchar }
    keywords:               { type: longvarchar }
    thumbnail:              { type: varchar, size: 1024 }
    url:                    { type: varchar, size: 1024 }
    duration:               { type: integer, size:   11 }
    width:                  { type: integer, size: 11 }
    height:                 { type: integer, size: 11 }
    owner:                  { type: varchar, size:  255 }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }
    _foreignKeys:
      mvi_fk_mid:           { foreignTable: media, references: [ {local: mid, foreign: mid} ] }
    _indexes:
      mvi_i_id:             [id]
